header {* Very Simple Predicate Logic with Equality *}
theory VSPredEq 
imports VSPred
begin

axiomatization
  "eq" :: "'a=> 'a=> o"    (infix  "=" 50)
where
 refl:   "x= x"
and
 sym:    "x= y ==> y= x"
and
 trans:  "[| x= y; y= z |] ==> x= z"
and
 subst:  "[| x= y; P x |] ==> P y"

axiomatization where
 cong:   "x= (y::'a) ==> f x= f y"

abbreviation
  "neq" :: "'a=> 'a=> o"   (infix "\<noteq>" 50)
where
  "x \<noteq> y == ~(x=y)"

end
